Bug 112046 - [CI][BAT] igt@i915_selftest@live_execlists - dmesg-warn - live_timeslice_queue failed with error -22, i915: probe of 0000:00:02.0 failed with error -5
Summary: [CI][BAT] igt@i915_selftest@live_execlists - dmesg-warn - live_timeslice_queu...
Status: CLOSED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: DRI git
Hardware: Other All
: not set not set
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard:
Keywords:
: 112058 (view as bug list)
Depends on:
Blocks:
 
Reported: 2019-10-18 06:11 UTC by Lakshmi
Modified: 2019-11-01 13:48 UTC (History)
1 user (show)

See Also:
i915 platform: ALL
i915 features: GEM/Other


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lakshmi 2019-10-18 06:11:48 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7107/fi-icl-guc/igt@i915_selftest@live_execlists.html
i915_selftest:7605) igt_kmod-WARNING: i915: probe of 0000:00:02.0 failed with error -5
(i915_selftest:7605) igt_kmod-CRITICAL: Test assertion failure function igt_kselftest_execute, file ../lib/igt_kmod.c:548:
(i915_selftest:7605) igt_kmod-CRITICAL: Failed assertion: err == 0
(i915_selftest:7605) igt_kmod-CRITICAL: kselftest "i915 igt__36__live_execlists=1 live_selftests=-1 disable_display=1 st_filter=" failed: Input/output error [5]
Subtest live_execlists failed.

https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7106/fi-skl-6260u/igt@i915_selftest@live_execlists.html
(i915_selftest:5198) igt_kmod-WARNING: i915: probe of 0000:00:02.0 failed with error -5
(i915_selftest:5198) igt_kmod-CRITICAL: Test assertion failure function igt_kselftest_execute, file ../lib/igt_kmod.c:548:
(i915_selftest:5198) igt_kmod-CRITICAL: Failed assertion: err == 0
(i915_selftest:5198) igt_kmod-CRITICAL: kselftest "i915 igt__36__live_execlists=1 live_selftests=-1 disable_display=1 st_filter=" failed: Input/output error [5]
Subtest live_execlists failed.

https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7106/fi-cfl-8109u/igt@i915_selftest@live_execlists.html
(i915_selftest:5063) igt_kmod-WARNING: i915: probe of 0000:00:02.0 failed with error -5
(i915_selftest:5063) igt_kmod-CRITICAL: Test assertion failure function igt_kselftest_execute, file ../lib/igt_kmod.c:548:
(i915_selftest:5063) igt_kmod-CRITICAL: Failed assertion: err == 0
(i915_selftest:5063) igt_kmod-CRITICAL: kselftest "i915 igt__36__live_execlists=1 live_selftests=-1 disable_display=1 st_filter=" failed: Input/output error [5]
Subtest live_execlists failed.
Comment 1 CI Bug Log 2019-10-18 06:12:47 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* All machines: igt@i915_selftest@live_execlists - dmesg-warn - i915: probe of 0000:00:02.0 failed with error -5
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3531/shard-apl1/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_5070/shard-skl2/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14641/fi-kbl-7500u/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_5095/fi-apl-guc/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_5095/fi-cml-s/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_5095/fi-cml-u2/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_5095/fi-kbl-7500u/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_5095/fi-kbl-8809g/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_5095/fi-kbl-guc/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_5095/fi-kbl-r/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_5095/fi-kbl-soraka/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_5095/fi-skl-6260u/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_5095/fi-skl-6600u/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_5095/fi-skl-6700k2/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_5095/fi-skl-guc/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_5095/fi-skl-iommu/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_5095/fi-skl-lmem/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_5095/fi-whl-u/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_5121/fi-skl-6700k2/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_5121/fi-skl-guc/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_5121/fi-skl-iommu/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_5121/fi-whl-u/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_5122/fi-apl-guc/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_5122/fi-cml-s/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_5122/fi-cml-u2/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_5122/fi-glk-dsi/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_5122/fi-kbl-7500u/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_5122/fi-kbl-8809g/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_5122/fi-kbl-guc/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_5122/fi-kbl-r/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_5122/fi-kbl-soraka/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_5122/fi-kbl-x1275/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_5122/fi-skl-6260u/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_5122/fi-skl-6600u/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_5122/fi-skl-6700k2/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_5122/fi-skl-iommu/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_5122/fi-skl-lmem/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_5122/fi-whl-u/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14800/fi-whl-u/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14830/fi-icl-u4/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7106/fi-cfl-8109u/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7106/fi-skl-6260u/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14832/fi-cfl-8109u/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14832/fi-icl-dsi/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7107/fi-icl-guc/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7108/fi-apl-guc/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7108/fi-cfl-8109u/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7108/fi-skl-6260u/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14833/fi-cfl-8109u/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14833/fi-icl-u3/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14833/fi-skl-6600u/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14835/fi-apl-guc/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14835/fi-icl-guc/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14835/fi-icl-u4/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7109/fi-apl-guc/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7109/fi-cfl-8109u/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14837/fi-apl-guc/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14838/fi-icl-dsi/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14838/fi-icl-u3/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14838/fi-kbl-r/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7110/fi-cfl-8700k/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7110/fi-cml-u2/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7110/fi-glk-dsi/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7110/fi-icl-guc/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7110/fi-icl-u3/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7112/fi-cfl-8109u/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7112/fi-icl-guc/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7112/fi-skl-6770hq/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3579/fi-bxt-dsi/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3580/fi-cfl-8109u/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3580/fi-icl-dsi/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3580/fi-icl-u4/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14840/fi-cml-u/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14840/fi-icl-u2/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7113/fi-apl-guc/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7113/fi-glk-dsi/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7113/fi-icl-u4/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7113/fi-kbl-x1275/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7114/fi-apl-guc/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7114/fi-cfl-guc/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7114/fi-cml-u/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14842/fi-kbl-x1275/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14843/fi-icl-u2/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14843/fi-icl-u3/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7106/shard-skl10/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14844/fi-cfl-8109u/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14844/fi-glk-dsi/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14844/fi-skl-6260u/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14832/shard-glk9/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14845/fi-apl-guc/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14846/fi-icl-guc/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14846/fi-icl-u2/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14846/fi-skl-6260u/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14848/fi-icl-guc/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14848/fi-kbl-7500u/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14848/fi-skl-6260u/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7108/shard-iclb5/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14835/shard-iclb7/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/TrybotIGT_49/fi-icl-dsi/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/TrybotIGT_49/fi-skl-6770hq/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/TrybotIGT_50/fi-icl-u2/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/TrybotIGT_50/fi-skl-6260u/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14850/fi-apl-guc/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14850/fi-icl-u4/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14851/fi-apl-guc/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14851/fi-icl-u2/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14851/fi-kbl-7500u/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14851/fi-skl-6260u/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_5170/fi-skl-6260u/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14852/fi-bxt-dsi/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14852/fi-icl-u2/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14852/fi-icl-u3/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3581/fi-cml-u/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3581/fi-glk-dsi/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3581/fi-kbl-7500u/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3581/fi-skl-lmem/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3581/fi-whl-u/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14837/shard-skl4/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7115/fi-cfl-8109u/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7115/fi-icl-u2/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7115/fi-icl-u3/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7115/fi-skl-6260u/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7116/fi-bxt-dsi/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7116/fi-cfl-8109u/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7116/fi-cml-u2/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7116/fi-icl-y/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7117/fi-apl-guc/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3582/fi-glk-dsi/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3582/fi-icl-u3/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3583/fi-icl-dsi/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3583/fi-icl-u2/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3583/fi-skl-6260u/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7118/fi-apl-guc/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7118/fi-cfl-8109u/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7118/fi-icl-dsi/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7118/fi-icl-u2/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7119/fi-apl-guc/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7119/fi-icl-dsi/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7119/fi-icl-u2/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7119/fi-icl-u4/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7119/fi-icl-y/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7119/fi-kbl-soraka/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7119/fi-skl-6260u/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_5172/fi-apl-guc/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_5172/fi-bxt-dsi/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_5172/fi-skl-6770hq/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7120/fi-bxt-dsi/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7120/fi-icl-u4/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7120/fi-skl-6600u/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7120/fi-whl-u/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14855/fi-apl-guc/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14855/fi-cfl-8109u/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14855/fi-icl-u2/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14855/fi-skl-6260u/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_5232/fi-cml-u/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_5232/fi-skl-6260u/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7121/fi-cfl-8109u/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7121/fi-icl-u2/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7121/fi-icl-u4/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7121/fi-skl-6260u/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7122/fi-cfl-8109u/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7122/fi-icl-u3/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14857/fi-icl-dsi/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14857/fi-icl-u4/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14857/fi-kbl-soraka/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14858/fi-icl-dsi/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14858/fi-icl-guc/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7117/shard-iclb1/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14860/fi-icl-u3/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14861/fi-skl-6260u/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14862/fi-icl-u4/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14862/fi-kbl-soraka/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7123/fi-apl-guc/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7123/fi-cfl-8109u/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7123/fi-skl-lmem/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7124/fi-cfl-8109u/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7124/fi-icl-guc/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7124/fi-skl-6770hq/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14863/fi-icl-dsi/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14863/fi-icl-u2/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14863/fi-icl-u3/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14865/fi-bxt-dsi/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14865/fi-kbl-x1275/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14865/fi-skl-6260u/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7125/fi-apl-guc/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7125/fi-icl-dsi/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7125/fi-skl-6260u/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14866/fi-cfl-8109u/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14867/fi-icl-dsi/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14867/fi-icl-u3/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14867/fi-skl-6600u/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7121/shard-iclb1/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14868/fi-bxt-dsi/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14868/fi-skl-6260u/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14869/fi-cml-u2/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14869/fi-icl-dsi/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14869/fi-kbl-x1275/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7122/shard-skl9/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14870/fi-glk-dsi/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14870/fi-icl-u3/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14870/fi-kbl-x1275/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14870/fi-skl-6770hq/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14871/fi-cml-s/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14871/fi-glk-dsi/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14871/fi-icl-dsi/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14871/fi-icl-u2/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14872/fi-skl-6260u/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/TrybotIGT_51/fi-glk-dsi/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_5173/fi-glk-dsi/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_5173/fi-icl-u4/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_5174/fi-cml-s/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_5174/fi-kbl-8809g/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_5174/fi-kbl-guc/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_5174/fi-whl-u/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_5175/fi-icl-guc/igt@i915_selftest@live_execlists.html
Comment 2 Chris Wilson 2019-10-18 13:01:51 UTC
commit 253a774bb08b549488047c3fb4afc0faf6f194ae
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Oct 18 08:20:27 2019 +0100

    drm/i915/execlists: Don't merely skip submission if maybe timeslicing
    
    Normally, we try and skip submission if ELSP[1] is filled. However, we
    may desire to enable timeslicing due to the queue priority, even if
    ELSP[1] itself does not require timeslicing. That is the queue is equal
    priority to ELSP[0] and higher priority then ELSP[1]. Previously, we
    would wait until the context switch to preempt the current ELSP[1], but
    with timeslicing, we want to preempt ELSP[0] and replace it with the
    queue.
    
    In writing the test case, it become quickly apparent that we were also
    suppressing the tasklet during promotion and so failing to notice when
    the queue started requiring timeslicing.
    
    Fixes: 2229adc81380 ("drm/i915/execlist: Trim immediate timeslice expiry")
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
    Cc: Tvrtko Ursulin <tvrtko.ursulin@intel.com>
    Reviewed-by: Tvrtko Ursulin <tvrtko.ursulin@intel.com>
    Link: https://patchwork.freedesktop.org/patch/msgid/20191018072027.31948-1-chris@chris-wilson.co.uk
Comment 3 Chris Wilson 2019-10-18 20:36:33 UTC
*** Bug 112058 has been marked as a duplicate of this bug. ***
Comment 4 Lakshmi 2019-10-22 11:35:51 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7143/fi-icl-guc/igt@i915_selftest@live_execlists.html

(i915_selftest:7648) igt_kmod-WARNING: [drm:intel_power_well_disable [i915]] disabling always-on
(i915_selftest:7648) igt_kmod-WARNING: i915/intel_execlists_live_selftests: live_timeslice_queue failed with error -22
(i915_selftest:7648) igt_kmod-WARNING: [drm:intel_power_well_enable [i915]] enabling always-on
(i915_selftest:7648) igt_kmod-WARNING: [drm:intel_power_well_enable [i915]] enabling DC off
(i915_selftest:7648) igt_kmod-WARNING: [drm:gen9_set_dc_state [i915]] Setting DC state from 02 to 00
(i915_selftest:7648) igt_kmod-WARNING: [drm:intel_combo_phy_init [i915]] Combo PHY A already enabled, won't reprogram it.
(i915_selftest:7648) igt_kmod-WARNING: [drm:intel_combo_phy_init [i915]] Combo PHY B already enabled, won't reprogram it.
(i915_selftest:7648) igt_kmod-WARNING: [drm:intel_power_well_enable [i915]] enabling power well 2
(i915_selftest:7648) igt_kmod-WARNING: [drm:intel_power_well_enable [i915]] enabling power well 3
(i915_selftest:7648) igt_kmod-WARNING: [drm:intel_power_well_enable [i915]] enabling power well 4
(i915_selftest:7648) igt_kmod-WARNING: [drm] GuC communication stopped
(i915_selftest:7648) igt_kmod-WARNING: i915: probe of 0000:00:02.0 failed with error -22
(i915_selftest:7648) igt_kmod-CRITICAL: Test assertion failure function igt_kselftest_execute, file ../lib/igt_kmod.c:548:
(i915_selftest:7648) igt_kmod-CRITICAL: Failed assertion: err == 0
(i915_selftest:7648) igt_kmod-CRITICAL: kselftest "i915 igt__37__live_execlists=1 live_selftests=-1 disable_display=1 st_filter=" failed: Invalid argument [22]
Subtest live_execlists failed.

Still occurring this issue, reopened
Comment 5 CI Bug Log 2019-10-22 11:37:33 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* ICL:  igt@i915_selftest@live_execlists - dmesg-fail - live_timeslice_queue failed with error -22
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7143/fi-icl-guc/igt@i915_selftest@live_execlists.html
Comment 6 Chris Wilson 2019-10-22 11:39:15 UTC
That's not the same bug.
Comment 7 CI Bug Log 2019-10-22 11:48:07 UTC
The CI Bug Log issue associated to this bug has been updated.

### Removed filters

* ICL:  igt@i915_selftest@live_execlists - dmesg-fail - live_timeslice_queue failed with error -22 (added on 11 minutes ago)
Comment 8 Lakshmi 2019-10-22 11:52:22 UTC
(In reply to Chris Wilson from comment #6)
> That's not the same bug.

(In reply to Lakshmi from comment #4)
> https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7143/fi-icl-guc/
> igt@i915_selftest@live_execlists.html
> 
> (i915_selftest:7648) igt_kmod-WARNING: [drm:intel_power_well_disable [i915]]
> disabling always-on
> (i915_selftest:7648) igt_kmod-WARNING: i915/intel_execlists_live_selftests:
> live_timeslice_queue failed with error -22
> (i915_selftest:7648) igt_kmod-WARNING: [drm:intel_power_well_enable [i915]]
> enabling always-on
> (i915_selftest:7648) igt_kmod-WARNING: [drm:intel_power_well_enable [i915]]
> enabling DC off
> (i915_selftest:7648) igt_kmod-WARNING: [drm:gen9_set_dc_state [i915]]
> Setting DC state from 02 to 00
> (i915_selftest:7648) igt_kmod-WARNING: [drm:intel_combo_phy_init [i915]]
> Combo PHY A already enabled, won't reprogram it.
> (i915_selftest:7648) igt_kmod-WARNING: [drm:intel_combo_phy_init [i915]]
> Combo PHY B already enabled, won't reprogram it.
> (i915_selftest:7648) igt_kmod-WARNING: [drm:intel_power_well_enable [i915]]
> enabling power well 2
> (i915_selftest:7648) igt_kmod-WARNING: [drm:intel_power_well_enable [i915]]
> enabling power well 3
> (i915_selftest:7648) igt_kmod-WARNING: [drm:intel_power_well_enable [i915]]
> enabling power well 4
> (i915_selftest:7648) igt_kmod-WARNING: [drm] GuC communication stopped
> (i915_selftest:7648) igt_kmod-WARNING: i915: probe of 0000:00:02.0 failed
> with error -22
> (i915_selftest:7648) igt_kmod-CRITICAL: Test assertion failure function
> igt_kselftest_execute, file ../lib/igt_kmod.c:548:
> (i915_selftest:7648) igt_kmod-CRITICAL: Failed assertion: err == 0
> (i915_selftest:7648) igt_kmod-CRITICAL: kselftest "i915
> igt__37__live_execlists=1 live_selftests=-1 disable_display=1 st_filter="
> failed: Invalid argument [22]
> Subtest live_execlists failed.
> 
> Still occurring this issue, reopened

(In reply to Chris Wilson from comment #6)
> That's not the same bug.

Ok, Bug 112097 created for the above failure.
Comment 9 Lakshmi 2019-11-01 13:48:09 UTC
Closing and archiving this bug as the CI bug log filter in this bug is not appropriate to catch right failures, e.g Bug 112193 is created out of this issue. I hope the original issue has got resolved, if not I will create a new issue when I see it under unknown failures.
Comment 10 CI Bug Log 2019-11-01 13:48:15 UTC
The CI Bug Log issue associated to this bug has been archived.

New failures matching the above filters will not be associated to this bug anymore.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.